fop 1.1

## org.apache.fop.fonts.truetype
Class TTFDirTabEntry

    java.lang.Object
      org.apache.fop.fonts.truetype.TTFDirTabEntry

    public class TTFDirTabEntry

extends java.lang.Object

This class represents an entry to a TrueType font's Dir Tab.

Constructor Summary
`TTFDirTabEntry()`
`TTFDirTabEntry(long offset, long length)`

Method Summary
`int` `getChecksum()` Returns the checksum.
`long` `getLength()` Returns the length.
`long` `getOffset()` Returns the offset.
`byte[]` `getTag()` Returns the tag bytes.
`java.lang.String` `getTagString()` Returns the tag bytes.
`java.lang.String` `read(FontFileReader in)` Read Dir Tab.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TTFDirTabEntry

    public TTFDirTabEntry()

### TTFDirTabEntry

    public TTFDirTabEntry(long offset,
                          long length)

Method Detail

### read

    public java.lang.String read(FontFileReader in)
                          throws java.io.IOException

  Read Dir Tab.

  Parameters:
    `in` - font file reader
  Returns:
    tag name
  Throws:
    `java.io.IOException` - upon I/O exception

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getChecksum

    public int getChecksum()

  Returns the checksum.

  Returns:
    int

### getLength

    public long getLength()

  Returns the length.

  Returns:
    long

### getOffset

    public long getOffset()

  Returns the offset.

  Returns:
    long

### getTag

    public byte[] getTag()

  Returns the tag bytes.

  Returns:
    byte[]

### getTagString

    public java.lang.String getTagString()

  Returns the tag bytes.

  Returns:
    byte[]

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.